#byte TOSU = 0xFFF
#bit    TOSU0 = TOSU.0
#bit    TOSU1 = TOSU.1
#bit    TOSU2 = TOSU.2
#bit    TOSU3 = TOSU.3
#bit    TOSU4 = TOSU.4
//!#byte TOSH = 0xFFE
//!#byte TOSL = 0xFFD
//!#byte STKPTR = 0xFFC
//!#bit    STKPTR0 = STKPTR.0
//!#bit    STKPTR1 = STKPTR.1
//!#bit    STKPTR2 = STKPTR.2
//!#bit    STKPTR3 = STKPTR.3
//!#bit    STKPTR4 = STKPTR.4
//!#bit    STKUNF = STKPTR.6
//!#bit    STKFUL = STKPTR.7
//!#byte PCLATU = 0xFFB
//!#bit    PCU0 = PCLATU.0
//!#bit    PCU1 = PCLATU.1
//!#bit    PCU2 = PCLATU.2
//!#bit    PCU3 = PCLATU.3
//!#bit    PCU4 = PCLATU.4
//!#byte PCLATH = 0xFFA
//!#byte PCL = 0xFF9
//!#byte TBLPTRU = 0xFF8
//!#bit    TBLPTRU0 = TBLPTRU.0
//!#bit    TBLPTRU1 = TBLPTRU.1
//!#bit    TBLPTRU2 = TBLPTRU.2
//!#bit    TBLPTRU3 = TBLPTRU.3
//!#bit    TBLPTRU4 = TBLPTRU.4
//!#bit    ACSS = TBLPTRU.5
//!#byte TBLPTRH = 0xFF7
//!#byte TBLPTRL = 0xFF6
//!#byte TABLAT = 0xFF5
//!#byte PRODH = 0xFF4
//!#byte PRODL = 0xFF3
//!#byte INTCON = 0xFF2
//!#bit    RBIF = INTCON.0
//!#bit    INT0IF = INTCON.1
//!#bit    TMR0IF = INTCON.2
//!#bit    RBIE = INTCON.3
//!#bit    INT0IE = INTCON.4
//!#bit    TMR0IE = INTCON.5
//!#bit    PEIE = INTCON.6
//!#bit    GIE = INTCON.7
//!#byte INTCON2 = 0xFF1
//!#bit    RBIP = INTCON2.0
//!#bit    TMR0IP = INTCON2.2
//!#bit    INTEDG2 = INTCON2.4
//!#bit    INTEDG1 = INTCON2.5
//!#bit    INTEDG0 = INTCON2.6
//!#bit    RBPU = INTCON2.7
//!#byte INTCON3 = 0xFF0
//!#bit    INT1IF = INTCON3.0
//!#bit    INT2IF = INTCON3.1
//!#bit    INT1IE = INTCON3.3
//!#bit    INT2IE = INTCON3.4
//!#bit    INT1IP = INTCON3.6
//!#bit    INT2IP = INTCON3.7
//!#byte INDF0 = 0xFEF
//!#byte POSTINC0 = 0xFEE
//!#byte POSTDEC0 = 0xFED
//!#byte PREINC0 = 0xFEC
//!#byte PLUSW0 = 0xFEB
//!#byte FSR0H = 0xFEA
//!#bit    FSR0H0 = FSR0H.0
//!#bit    FSR0H1 = FSR0H.1
//!#bit    FSR0H2 = FSR0H.2
//!#bit    FSR0H3 = FSR0H.3
//!#byte FSR0L = 0xFE9
//!#byte WREG = 0xFE8
//!#byte INDF1 = 0xFE7
//!#byte POSTINC1 = 0xFE6
//!#byte POSTDEC1 = 0xFE5
//!#byte PREINC1 = 0xFE4
//!#byte PLUSW1 = 0xFE3
//!#byte FSR1H = 0xFE2
//!#bit    FSR1H0 = FSR1H.0
//!#bit    FSR1H1 = FSR1H.1
//!#bit    FSR1H2 = FSR1H.2
//!#bit    FSR1H3 = FSR1H.3
//!#byte FSR1L = 0xFE1
//!#byte BSR = 0xFE0
//!#bit    BSR0 = BSR.0
//!#bit    BSR1 = BSR.1
//!#bit    BSR2 = BSR.2
//!#bit    BSR3 = BSR.3
//!#byte INDF2 = 0xFDF
//!#byte POSTINC2 = 0xFDE
//!#byte POSTDEC2 = 0xFDD
//!#byte PREINC2 = 0xFDC
//!#byte PLUSW2 = 0xFDB
//!#byte FSR2H = 0xFDA
//!#bit    FSR2H0 = FSR2H.0
//!#bit    FSR2H1 = FSR2H.1
//!#bit    FSR2H2 = FSR2H.2
//!#bit    FSR2H3 = FSR2H.3
//!#byte FSR2L = 0xFD9
//!#byte STATUS = 0xFD8
//!#bit    DC = STATUS.1
//!#bit    OV = STATUS.3
//!#byte TMR0H = 0xFD7
//!#byte TMR0L = 0xFD6
//!#byte T0CON = 0xFD5
//!#bit    T0PS0 = T0CON.0
//!#bit    T0PS1 = T0CON.1
//!#bit    T0PS2 = T0CON.2
//!#bit    PSA = T0CON.3
//!#bit    T0SE = T0CON.4
//!#bit    T0CS = T0CON.5
//!#bit    T08BIT = T0CON.6
//!#bit    TMR0ON = T0CON.7
//!#byte OSCCON = 0xFD3
//!#bit    SCS = OSCCON.0
//!#byte LVDCON = 0xFD2
//!#bit    LVDL0 = LVDCON.0
//!#bit    LVDL1 = LVDCON.1
//!#bit    LVDL2 = LVDCON.2
//!#bit    LVDL3 = LVDCON.3
//!#bit    LVDEN = LVDCON.4
//!#bit    IRVST = LVDCON.5
//!#byte WDTCON = 0xFD1
//!#bit    SWDTEN = WDTCON.0
//!#byte RCON = 0xFD0
//!#bit    BOR = RCON.0
//!#bit    POR = RCON.1
//!#bit    PD = RCON.2
//!#bit    TO = RCON.3
//!#bit    RI = RCON.4
//!#bit    IPEN = RCON.7
//!#byte TMR1H = 0xFCF
//!#byte TMR1L = 0xFCE
//!#byte T1CON = 0xFCD
//!#bit    TMR1ON = T1CON.0
//!#bit    TMR1CS = T1CON.1
//!#bit    T1SYNC = T1CON.2
//!#bit    T1OSCEN = T1CON.3
//!#bit    T1CKPS0 = T1CON.4
//!#bit    T1CKPS1 = T1CON.5
//!#bit    RD16 = T1CON.7
//!#byte TMR2 = 0xFCC
//!#byte PR2 = 0xFCB
//!#byte T2CON = 0xFCA
//!#bit    T2CKPS0 = T2CON.0
//!#bit    T2CKPS1 = T2CON.1
//!#bit    TMR2ON = T2CON.2
//!#bit    TOUTPS0 = T2CON.3
//!#bit    TOUTPS1 = T2CON.4
//!#bit    TOUTPS2 = T2CON.5
//!#bit    TOUTPS3 = T2CON.6
//!#byte SSPBUF = 0xFC9
//!#byte SSPADD = 0xFC8
//!#byte SSPSTAT = 0xFC7
//!#bit    BF = SSPSTAT.0
//!#bit    UA = SSPSTAT.1
//!#bit    CKE = SSPSTAT.6
//!#bit    SMP = SSPSTAT.7
//!#byte SSPCON1 = 0xFC6
//!#bit    SSPM0 = SSPCON1.0
//!#bit    SSPM1 = SSPCON1.1
//!#bit    SSPM2 = SSPCON1.2
//!#bit    SSPM3 = SSPCON1.3
//!#bit    CKP = SSPCON1.4
//!#bit    SSPEN = SSPCON1.5
//!#bit    SSPOV = SSPCON1.6
//!#bit    WCOL = SSPCON1.7
//!#byte SSPCON2 = 0xFC5
//!#bit    SEN = SSPCON2.0
//!#bit    RSEN = SSPCON2.1
//!#bit    PEN = SSPCON2.2
//!#bit    RCEN = SSPCON2.3
//!#bit    ACKEN = SSPCON2.4
//!#bit    ACKDT = SSPCON2.5
//!#bit    ACKSTAT = SSPCON2.6
//!#bit    GCEN = SSPCON2.7
#byte ADRESH = 0xFC4
#byte ADRESL = 0xFC3
#byte ADCON0 = 0xFC2
#bit    ADON = ADCON0.0
#bit    GO = ADCON0.2
#bit    CHS0 = ADCON0.3
#bit    CHS1 = ADCON0.4
#bit    CHS2 = ADCON0.5
#bit    ADCS0 = ADCON0.6
#bit    ADCS1 = ADCON0.7
#byte ADCON1 = 0xFC1
#bit    PCFG0 = ADCON1.0
#bit    PCFG1 = ADCON1.1
#bit    PCFG2 = ADCON1.2
#bit    PCFG3 = ADCON1.3
#bit    ADCS2 = ADCON1.6
#bit    ADFM = ADCON1.7
//!#byte CCPR1H = 0xFBF
//!#byte CCPR1L = 0xFBE
//!#byte CCP1CON = 0xFBD
//!#bit    CCP1M0 = CCP1CON.0
//!#bit    CCP1M1 = CCP1CON.1
//!#bit    CCP1M2 = CCP1CON.2
//!#bit    CCP1M3 = CCP1CON.3
//!#bit    DC1B0 = CCP1CON.4
//!#bit    DC1B1 = CCP1CON.5
//!#byte CCPR2H = 0xFBC
//!#byte CCPR2L = 0xFBB
//!#byte CCP2CON = 0xFBA
//!#bit    CCP2M0 = CCP2CON.0
//!#bit    CCP2M1 = CCP2CON.1
//!#bit    CCP2M2 = CCP2CON.2
//!#bit    CCP2M3 = CCP2CON.3
//!#bit    DC2B0 = CCP2CON.4
//!#bit    DC2B1 = CCP2CON.5
//!#byte TMR3H = 0xFB3
//!#byte TMR3L = 0xFB2
//!#byte T3CON = 0xFB1
//!#bit    TMR3ON = T3CON.0
//!#bit    TMR3CS = T3CON.1
//!#bit    T3SYNC = T3CON.2
//!#bit    T3CCP1 = T3CON.3
//!#bit    T3CKPS0 = T3CON.4
//!#bit    T3CKPS1 = T3CON.5
//!#bit    T3CCP2 = T3CON.6
//!#bit    RD16 = T3CON.7
//!#byte SPBRG = 0xFAF
//!#byte RCREG = 0xFAE
//!#byte TXREG = 0xFAD
//!#byte TXSTA = 0xFAC
//!#bit    TX9D = TXSTA.0
//!#bit    TRMT = TXSTA.1
//!#bit    BRGH = TXSTA.2
//!#bit    SYNC = TXSTA.4
//!#bit    TXEN = TXSTA.5
//!#bit    TX9 = TXSTA.6
//!#bit    CSRC = TXSTA.7
//!#byte RCSTA = 0xFAB
//!#bit    RX9D = RCSTA.0
//!#bit    OERR = RCSTA.1
//!#bit    FERR = RCSTA.2
//!#bit    ADDEN = RCSTA.3
//!#bit    CREN = RCSTA.4
//!#bit    SREN = RCSTA.5
//!#bit    RX9 = RCSTA.6
//!#bit    SPEN = RCSTA.7
//!#byte EEADR = 0xFA9
//!#byte EEDATA = 0xFA8
//!#byte EECON2 = 0xFA7
//!#byte EECON1 = 0xFA6
//!#bit    RD = EECON1.0
//!#bit    WR = EECON1.1
//!#bit    WREN = EECON1.2
//!#bit    WRERR = EECON1.3
//!#bit    FREE = EECON1.4
//!#bit    CFGS = EECON1.6
//!#bit    EEPGD = EECON1.7
//!#byte IPR2 = 0xFA2
//!#bit    CCP2IP = IPR2.0
//!#bit    TMR3IP = IPR2.1
//!#bit    LVDIP = IPR2.2
//!#bit    BCLIP = IPR2.3
//!#bit    EEIP = IPR2.4
//!#byte PIR2 = 0xFA1
//!#bit    CCP2IF = PIR2.0
//!#bit    TMR3IF = PIR2.1
//!#bit    LVDIF = PIR2.2
//!#bit    BCLIF = PIR2.3
//!#bit    EEIF = PIR2.4
//!#byte PIE2 = 0xFA0
//!#bit    CCP2IE = PIE2.0
//!#bit    TMR3IE = PIE2.1
//!#bit    LVDIE = PIE2.2
//!#bit    BCLIE = PIE2.3
//!#bit    EEIE = PIE2.4
//!#byte IPR1 = 0xF9F
//!#bit    TMR1IP = IPR1.0
//!#bit    TMR2IP = IPR1.1
//!#bit    CCP1IP = IPR1.2
//!#bit    SSPIP = IPR1.3
//!#bit    TXIP = IPR1.4
//!#bit    RCIP = IPR1.5
//!#bit    ADIP = IPR1.6
//!#byte PIR1 = 0xF9E
//!#bit    TMR1IF = PIR1.0
//!#bit    TMR2IF = PIR1.1
//!#bit    CCP1IF = PIR1.2
//!#bit    SSPIF = PIR1.3
//!#bit    TXIF = PIR1.4
//!#bit    RCIF = PIR1.5
//!#bit    ADIF = PIR1.6
//!#byte PIE1 = 0xF9D
//!#bit    TMR1IE = PIE1.0
//!#bit    TMR2IE = PIE1.1
//!#bit    CCP1IE = PIE1.2
//!#bit    SSPIE = PIE1.3
//!#bit    TXIE = PIE1.4
//!#bit    RCIE = PIE1.5
//!#bit    ADIE = PIE1.6
//!#byte TRISC = 0xF94
//!#byte TRISB = 0xF93
//!#byte TRISA = 0xF92
//!#byte LATC = 0xF8B
//!#byte LATB = 0xF8A
//!#byte LATA = 0xF89
//!#byte PORTC = 0xF82
//!#byte PORTB = 0xF81
//!#byte PORTA = 0xF80
