#include <18F2525.h>
#device adc=10

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES WDT128                   //Watch Dog Timer uses 1:128 Postscale
#FUSES XT                       //Crystal osc <= 4mhz for PCM/PCH , 3mhz to 10 mhz for PCD
#FUSES NOPROTECT                //Code not protected from reading
#FUSES NOIESO                   //Internal External Switch Over mode disabled
#FUSES NOBROWNOUT               //No brownout reset
#FUSES BORV20                   //Brownout reset at 2.0V
#FUSES NOPUT                    //No Power Up Timer
#FUSES NOCPD                    //No EE protection
#FUSES STVREN                   //Stack full/underflow will cause reset
#FUSES NODEBUG                  //No Debug mode for ICD
#FUSES NOLVP                    //No low voltage prgming, B3(PIC16) or B5(PIC18) used for I/O
#FUSES NOWRT                    //Program memory not write protected
#FUSES NOWRTD                   //Data EEPROM not write protected
#FUSES NOEBTR                   //Memory not protected from table reads
#FUSES NOCPB                    //No Boot Block code protection
#FUSES NOEBTRB                  //Boot block not protected from table reads
#FUSES NOWRTC                   //configuration not registers write protected
#FUSES NOWRTB                   //Boot block not write protected
#FUSES FCMEN                    //Fail-safe clock monitor enabled
#FUSES NOXINST                  //Extended set extension and Indexed Addressing mode disabled (Legacy mode)
#FUSES PBADEN                   //PORTB pins are configured as analog input channels on RESET
#FUSES LPT1OSC                  //Timer1 configured for low-power operation
#FUSES MCLR                     //Master Clear pin enabled

#use delay(clock=4000000,RESTART_WDT)
//#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8)

//#byte ADCON0   0x1f
#define volt   PIN_A0
#define amper  PIN_A1
#define setup  PIN_C0
#define razrad PIN_C1
#define yprav  PIN_C7

typedef unsigned int8 uint;
typedef unsigned int16 ulong;

struct volt_amper {
                     ulong ismer_volt;
                     ulong ismer_amper;
                     ulong ystav_amper;
                  }struct_volt_amper,*ykaz_volt_amper;

//=&struct_volt_amper;
                  
struct knopka_setup {
                      uint open;      // 
                      uint close;     // 
                    } struct_setup,*ykaz_setup;
                    


struct knopka_razrad {
                        uint open;      // 
                        uint close;     // 
                    } struct_razrad,*ykaz_razrad;
                    
//ykaz_razrad=&struct_razrad;                    
                    
struct indic {
                uint bdc_v;       //  
                ulong bdc_i_ystav; //   
                ulong bdc_i;       //   
                uint volt_indic;  // 
                uint amper_indic; // 
             } struct_indic, *ykaz_indic;  
             
struct eeprom {
                uint* peeprom;
                uint first;
                uint two;
              } struct_eeprom, *ykaz_eeprom;
              
ulong tusahi=0,sotni=0,dec=0,edin=0,ysred_flag=0,ystav_flag=0,temp1,temp2,temp;
ulong symma_volt=0,symma_amper=0;   //  4    
ulong temp_tusahi=0,temp_sotni=0,temp_dec=0;

